Skip to main content
GET
/
api
/
v1
/
secret-syncs
/
devin
/
{syncId}
cURL
curl --request GET \
  --url https://us.infisical.com/api/v1/secret-syncs/devin/{syncId}
import requests

url = "https://us.infisical.com/api/v1/secret-syncs/devin/{syncId}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://us.infisical.com/api/v1/secret-syncs/devin/{syncId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "secretSync": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "projectId": "<string>",
    "connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "syncOptions": {
      "initialSyncBehavior": "overwrite-destination",
      "keySchema": "<string>",
      "disableSecretDeletion": true
    },
    "connection": {
      "app": "devin",
      "name": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "environment": {
      "slug": "<string>",
      "name": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "folder": {
      "id": "<string>",
      "path": "<string>"
    },
    "destination": "devin",
    "destinationConfig": {
      "orgId": "<string>"
    },
    "description": "<string>",
    "isAutoSyncEnabled": true,
    "version": 1,
    "folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "syncStatus": "<string>",
    "lastSyncJobId": "<string>",
    "lastSyncMessage": "<string>",
    "lastSyncedAt": "2023-11-07T05:31:56Z",
    "importStatus": "<string>",
    "lastImportJobId": "<string>",
    "lastImportMessage": "<string>",
    "lastImportedAt": "2023-11-07T05:31:56Z",
    "removeStatus": "<string>",
    "lastRemoveJobId": "<string>",
    "lastRemoveMessage": "<string>",
    "lastRemovedAt": "2023-11-07T05:31:56Z"
  }
}
{
  "reqId": "<string>",
  "statusCode": 400,
  "message": "<string>",
  "error": "<string>",
  "details": "<unknown>"
}
{
  "reqId": "<string>",
  "statusCode": 401,
  "message": "<string>",
  "error": "<string>"
}
{
  "reqId": "<string>",
  "statusCode": 403,
  "message": "<string>",
  "error": "<string>",
  "details": "<unknown>"
}
{
  "reqId": "<string>",
  "statusCode": 404,
  "message": "<string>",
  "error": "<string>"
}
{
  "reqId": "<string>",
  "statusCode": 422,
  "error": "<string>",
  "message": "<unknown>"
}
{
  "reqId": "<string>",
  "statusCode": 500,
  "message": "<string>",
  "error": "<string>"
}

Path Parameters

syncId
string<uuid>
required

The ID of the Devin Sync to retrieve.

Response

Default Response

secretSync
Devin · object
required